import { l as languageMap } from "../core-qSbkK8p9.js";
import { h as getClosestToken } from "../index-CFdThse2.js";
import { c as clikeComment, d as markupComment, h as htmlAutoIndent, e as autoCloseTags, v as voidTags, x as xmlOpeningTag } from "../index-Bhcmk4qx.js";
languageMap.php = {
  comments: clikeComment,
  getComments: (editor, position) => {
    if (getClosestToken(editor, ".php", 0, 0, position)) return clikeComment;
    return markupComment;
  },
  autoIndent: htmlAutoIndent(xmlOpeningTag, voidTags),
  autoCloseTags: ([start, end], value, editor) => {
    return !value.includes("<?") || getClosestToken(editor, ".php", 0, 0, start) ? "" : autoCloseTags(editor, start, end, value, xmlOpeningTag, voidTags);
  }
};
//# sourceMappingURL=php.js.map
