import { l as languageMap } from "../core-qSbkK8p9.js";
import { h as getClosestToken } from "../index-CFdThse2.js";
import { m as markupLanguage } from "../index-Bhcmk4qx.js";
const comment = ["(:", ":)"];
const xquery = languageMap.xquery = markupLanguage(
  { block: comment },
  /<(?!!|\d)([^\s/=>$<%]+)(?:\s+[^\s/=>]+(?:\s*=\s*(["'])(?:\{\{|\{(?!\{)(?:[^{}]|\{(?:[^{}]|\{[^}]*\})*\})*\}|(?!\2)[^{])*\2)?)*\s*>[ \t]*$/
);
xquery.getComments = (editor, position) => ({
  block: getClosestToken(editor, ".plain-text", 0, 0, position) ? ["{(:", ":)}"] : comment
});
//# sourceMappingURL=xquery.js.map
