import { l as languages, a as tokenize } from "../../index-CMw7UQBU.js";
import { e as embeddedIn } from "../../templating-yZpuvMTN-DmzEfTqb.js";
import "./javascript.js";
import "./markup.js";
languages.eta = languages.ejs = {
  "ejs": {
    pattern: /<%[^%][^]*?%>/,
    inside: {
      "comment": /^<%#[^]+/,
      "delimiter": {
        pattern: /^<%[-_=]?|[-_]?%>$/,
        alias: "punctuation"
      },
      "language-javascript": {
        pattern: /[^]+/,
        inside: "js"
      }
    }
  },
  "escape": /<%%|%%>/,
  [tokenize]: embeddedIn("html")
};
//# sourceMappingURL=ejs.js.map
