import { PrismEditor } from '../types';

declare const scrollToEl: (editor: PrismEditor, el: HTMLElement, paddingTop?: number) => void;
declare const getLineStart: (text: string, position: number) => number;
declare const getLineEnd: (text: string, position: number) => number;
declare const addListener: <T extends keyof HTMLElementEventMap>(editor: PrismEditor, type: T, listener: (this: HTMLTextAreaElement, ev: HTMLElementEventMap[T]) => any, options?: boolean | AddEventListenerOptions) => () => void;
export { scrollToEl, getLineStart, getLineEnd, addListener };
